body {
    font-family: sans-serif;
    margin: 0;
    padding: 1em;
}

h1 {
    text-align: center;
    background-color: #eee;
}

table {
    border-collapse: collapse;
    width: 100%;
    border: thin solid #aaa;
    box-shadow: 4px 4px 6px #aaa;
}

th {
    padding: 0.5em 0.1em;
}

td {
    padding: 0.2em 0.1em;
}

td:nth-last-child(1),
td:nth-last-child(2),
td:nth-last-child(3) {
    width: 6em;
}

thead th {
    text-align: left;
    vertical-align: top;
}

thead td {
    text-align: right;
    vertical-align: top;
}

thead tr:nth-child(3) td {
    text-align: left;
    line-height: 1.5;
}

tbody {
    border: 1px solid #aaa;
}

tbody tr :nth-child(n) {
    text-align: right;
}

tbody tr :nth-child(2) {
    text-align: center;
}

tbody tr :first-child {
    text-align: left;
}

tfoot {
    border: 1px solid #aaa;
}

tfoot tr :first-child {
    text-align: left;
}

tfoot tr :last-child {
    text-align: right;
    border-left: 1px dotted #555;
}

tfoot th {
    background-color: #eee;
}

tfoot tr+tr {
    border-top: 1px dashed #555;
}
